Can I upgrade from 3.0.13-PL1 to 3.2.x?

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Post Reply
wvanfleet
Registered User
Posts: 26
Joined: Fri Mar 27, 2015 11:58 pm

Can I upgrade from 3.0.13-PL1 to 3.2.x?

Post by wvanfleet » Thu Jul 13, 2017 8:55 pm

Can I upgrade from 3.0.13-PL1 to the latest 3.2.x? If so, how? Will my database be preserved and usable by the new forum? (I believe I understand that my styling will be lost.)

wvanfleet
Registered User
Posts: 26
Joined: Fri Mar 27, 2015 11:58 pm

Re: Can I upgrade from 3.0.13-PL1 to 3.2.x?

Post by wvanfleet » Fri Jul 14, 2017 7:22 am

Just to be clear, because I have realized that what I have stated could be misunderstood, I am not asking how can my styling be preserved in the upgrading. I know that will have to be redone. I am only asking whether I can upgrade and still retain the database, such that the outlines of the topics and the discussions within those outlines are retained. Or, if I upgrade, will I be starting out with a new, empty forum?

wvanfleet
Registered User
Posts: 26
Joined: Fri Mar 27, 2015 11:58 pm

Re: Can I upgrade from 3.0.13-PL1 to 3.2.x?

Post by wvanfleet » Fri Jul 14, 2017 7:45 am

I note that there is a highly relevant topic, namely, 3.0 to 3.2 Update error "required module info file missing", that is speaking to this issue. I guess I am asking whether it is still so that the upgrade can take place. That is, what am I likely to run into if I attempt the upgrade? Do I need to do it step-wise? What am I likely to encounter, and what should I do if I do encounter those things? (I am not very knowledgeable about these things. I am worried that I will get into a complex situation and lose the forum.)

wvanfleet
Registered User
Posts: 26
Joined: Fri Mar 27, 2015 11:58 pm

Re: Can I upgrade from 3.0.13-PL1 to 3.2.x?

Post by wvanfleet » Fri Jul 14, 2017 7:58 am

I also note the topic convert from phpbb 3.0.x to phpbb3.2.0. It looks highly relevant. Does it still work?

Edit: I have been studying the above topic. Also, although I had not remembered it, I had gotten previous assistance in updating. I am feeling increasingly confident. I may have some specific questions, but not yet.

Edit: I have continued to study, and think that probably I don't have any questions yet. I am getting a better understanding. I think I started this topic prematurely. I still have some dread that I will ruin what I have in trying to upgrade, but the dread is almost gone.

Edit: Well, I was indeed able to accomplish the upgrade satisfactorily. I followed the instructions in the above referenced topic. There was just one part that was unclear, having to do with the FILES and IMAGES folders, which were supposed to be left in the root folder. That suggested that those files should be deleted from the folders being uploaded. That was not part of the instructions, however, so I left them in the files and folders being uploaded. That led to being asked whether I wanted to overwrite some existing files, which sounded like what was not supposed to be necessary. I chose overwriting them, and as far as I know, everything remains okay. So, I guess I will not need help in upgrading. I did learn a lot with my studying. I am not an IT person.

Post Reply

Return to “[3.2.x] Convertors”

Who is online

Users browsing this forum: No registered users and 2 guests